Subject: Re: bug#36250: [PATCH] Improve a bit frame-resize-pixelwise documentation

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Jun 2019 16:16:57 +0300

> Date: Fri, 28 Jun 2019 14:27:14 +0300
> From: Konstantin Kharlamov <[email-masked]>
> Cc: [email-masked]
> 
> > I don't see why you needed to remove part of the text.  It isn't a
> > repetition: the first sentence talks about frames in general, the
> > second only about the initial frame.  The bit about the init file is
> > only relevant to the latter.
> 
> The specific part of text being removed sounds as"in order to set the 
> size of a frame in pixels, ", which explains what happens when variable 
> is non-nil.
> 
> However, if you read both of two paragraphs of documentation, you may 
> find that the 1st paragraph already explains the technical details 
> behind the variable, and the "non-nil" word in particular appears twice.
> 
> At that point, if reader came to 2nd paragraph, they probably know what 
> Emacs does when variable is non-nil; or at least they know where to 
> look that up. So, repeating that part again does nothing aside of 
> wasting one's mental resources used to parse the sentence.

I think you read "resize a frame" and "set the size of a frame" as
referring to the same operation.  But they aren't: the former is about
changing the size of an existing frame with a mouse or with
set-frame-size, whereas the latter is about doing other things that
implicitly require the frame's size to have pixel resolution.

So no, this is not repetition, and should not be removed.